"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _bootstrapUtils = require("./utils/bootstrapUtils");
var _StyleConfig = require("./utils/StyleConfig");
var _CloseButton = _interopRequireDefault(require("./CloseButton"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const propTypes = {
  onDismiss: _propTypes.default.func,
  closeLabel: _propTypes.default.string
};
const defaultProps = {
  closeLabel: 'Close alert'
};
class Alert extends _react.default.Component {
  render() {
    const {
      onDismiss,
      closeLabel,
      className,
      children,
      ...props
    } = this.props;
    const [bsProps, elementProps] = (0, _bootstrapUtils.splitBsProps)(props);
    const dismissable = !!onDismiss;
    const classes = {
      ...(0, _bootstrapUtils.getClassSet)(bsProps),
      [(0, _bootstrapUtils.prefix)(bsProps, 'dismissable')]: dismissable
    };
    return /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
      ...elementProps,
      role: "alert",
      className: (0, _classnames.default)(className, classes),
      children: [dismissable && /*#__PURE__*/(0, _jsxRuntime.jsx)(_CloseButton.default, {
        onClick: onDismiss,
        label: closeLabel
      }), children]
    });
  }
}
Alert.propTypes = propTypes;
Alert.defaultProps = defaultProps;
var _default = exports.default = (0, _bootstrapUtils.bsStyles)(Object.values(_StyleConfig.State), _StyleConfig.State.INFO, (0, _bootstrapUtils.bsClass)('alert', Alert));
//# sourceMappingURL=Alert.js.map