"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _bootstrapUtils = require("./utils/bootstrapUtils");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
// TODO: `pullRight` doesn't belong here. There's no special handling here.
const propTypes = {
  pullRight: _propTypes.default.bool
};
const defaultProps = {
  pullRight: false
};
class Badge extends _react.default.Component {
  hasContent(children) {
    let result = false;
    _react.default.Children.forEach(children, child => {
      if (result) {
        return;
      }
      if (child || child === 0) {
        result = true;
      }
    });
    return result;
  }
  render() {
    const {
      pullRight,
      className,
      children,
      ...props
    } = this.props;
    const [bsProps, elementProps] = (0, _bootstrapUtils.splitBsProps)(props);
    const classes = {
      ...(0, _bootstrapUtils.getClassSet)(bsProps),
      'pull-right': pullRight,
      // Hack for collapsing on IE8.
      hidden: !this.hasContent(children)
    };
    return /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
      ...elementProps,
      className: (0, _classnames.default)(className, classes),
      children: children
    });
  }
}
Badge.propTypes = propTypes;
Badge.defaultProps = defaultProps;
var _default = exports.default = (0, _bootstrapUtils.bsClass)('badge', Badge);
//# sourceMappingURL=Badge.js.map