"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _SafeAnchor = _interopRequireDefault(require("./SafeAnchor"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const propTypes = {
  /**
   * If set to true, renders `span` instead of `a`
   */
  active: _propTypes.default.bool,
  /**
   * `href` attribute for the inner `a` element
   */
  href: _propTypes.default.string,
  /**
   * `title` attribute for the inner `a` element
   */
  title: _propTypes.default.node,
  /**
   * `target` attribute for the inner `a` element
   */
  target: _propTypes.default.string
};
const defaultProps = {
  active: false
};
class BreadcrumbItem extends _react.default.Component {
  render() {
    const {
      active,
      href,
      title,
      target,
      className,
      ...props
    } = this.props;

    // Don't try to render these props on non-active <span>.
    const linkProps = {
      href,
      title,
      target
    };
    return /*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
      className: (0, _classnames.default)(className, {
        active
      }),
      children: active ? /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
        ...props
      }) : /*#__PURE__*/(0, _jsxRuntime.jsx)(_SafeAnchor.default, {
        ...props,
        ...linkProps
      })
    });
  }
}
BreadcrumbItem.propTypes = propTypes;
BreadcrumbItem.defaultProps = defaultProps;
var _default = exports.default = BreadcrumbItem;
//# sourceMappingURL=BreadcrumbItem.js.map