"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _elementType = _interopRequireDefault(require("prop-types-extra/lib/elementType"));
var _bootstrapUtils = require("./utils/bootstrapUtils");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const propTypes = {
  /**
   * Turn any fixed-width grid layout into a full-width layout by this property.
   *
   * Adds `container-fluid` class.
   */
  fluid: _propTypes.default.bool,
  /**
   * You can use a custom element for this component
   */
  componentClass: _elementType.default
};
const defaultProps = {
  componentClass: 'div',
  fluid: false
};
class Grid extends _react.default.Component {
  render() {
    const {
      fluid,
      componentClass: Component,
      className,
      ...props
    } = this.props;
    const [bsProps, elementProps] = (0, _bootstrapUtils.splitBsProps)(props);
    const classes = (0, _bootstrapUtils.prefix)(bsProps, fluid && 'fluid');
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(Component, {
      ...elementProps,
      className: (0, _classnames.default)(className, classes)
    });
  }
}
Grid.propTypes = propTypes;
Grid.defaultProps = defaultProps;
var _default = exports.default = (0, _bootstrapUtils.bsClass)('container', Grid);
//# sourceMappingURL=Grid.js.map