"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _bootstrapUtils = require("./utils/bootstrapUtils");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const propTypes = {
  /**
   * Sets image as responsive image
   */
  responsive: _propTypes.default.bool,
  /**
   * Sets image shape as rounded
   */
  rounded: _propTypes.default.bool,
  /**
   * Sets image shape as circle
   */
  circle: _propTypes.default.bool,
  /**
   * Sets image shape as thumbnail
   */
  thumbnail: _propTypes.default.bool
};
const defaultProps = {
  responsive: false,
  rounded: false,
  circle: false,
  thumbnail: false
};
class Image extends _react.default.Component {
  render() {
    const {
      responsive,
      rounded,
      circle,
      thumbnail,
      className,
      ...props
    } = this.props;
    const [bsProps, elementProps] = (0, _bootstrapUtils.splitBsProps)(props);
    const classes = {
      [(0, _bootstrapUtils.prefix)(bsProps, 'responsive')]: responsive,
      [(0, _bootstrapUtils.prefix)(bsProps, 'rounded')]: rounded,
      [(0, _bootstrapUtils.prefix)(bsProps, 'circle')]: circle,
      [(0, _bootstrapUtils.prefix)(bsProps, 'thumbnail')]: thumbnail
    };
    return /*#__PURE__*/(0, _jsxRuntime.jsx)("img", {
      ...elementProps,
      className: (0, _classnames.default)(className, classes)
    });
  }
}
Image.propTypes = propTypes;
Image.defaultProps = defaultProps;
var _default = exports.default = (0, _bootstrapUtils.bsClass)('img', Image);
//# sourceMappingURL=Image.js.map