"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _bootstrapUtils = require("./utils/bootstrapUtils");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const propTypes = {
  /**
   * Align the media to the top, middle, or bottom of the media object.
   */
  align: _propTypes.default.oneOf(['top', 'middle', 'bottom'])
};
class MediaRight extends _react.default.Component {
  render() {
    const {
      align,
      className,
      ...props
    } = this.props;
    const [bsProps, elementProps] = (0, _bootstrapUtils.splitBsProps)(props);
    const classes = (0, _bootstrapUtils.getClassSet)(bsProps);
    if (align) {
      // The class is e.g. `media-top`, not `media-right-top`.
      classes[(0, _bootstrapUtils.prefix)({
        bsClass: 'media'
      }, align)] = true;
    }
    return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
      ...elementProps,
      className: (0, _classnames.default)(className, classes)
    });
  }
}
MediaRight.propTypes = propTypes;
var _default = exports.default = (0, _bootstrapUtils.bsClass)('media-right', MediaRight);
//# sourceMappingURL=MediaRight.js.map