"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _bootstrapUtils = require("./utils/bootstrapUtils");
var _StyleConfig = require("./utils/StyleConfig");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const propTypes = {
  /**
   * A css class to apply to the Modal dialog DOM node.
   */
  dialogClassName: _propTypes.default.string
};
class ModalDialog extends _react.default.Component {
  render() {
    const {
      dialogClassName,
      className,
      style,
      children,
      onMouseDownDialog,
      ...props
    } = this.props;
    const [bsProps, elementProps] = (0, _bootstrapUtils.splitBsProps)(props);
    const bsClassName = (0, _bootstrapUtils.prefix)(bsProps);
    const modalStyle = {
      display: 'block',
      ...style
    };
    const dialogClasses = {
      ...(0, _bootstrapUtils.getClassSet)(bsProps),
      [bsClassName]: false,
      [(0, _bootstrapUtils.prefix)(bsProps, 'dialog')]: true
    };
    return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
      ...elementProps,
      tabIndex: "-1",
      role: "dialog",
      style: modalStyle,
      className: (0, _classnames.default)(className, bsClassName),
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        className: (0, _classnames.default)(dialogClassName, dialogClasses),
        onMouseDown: onMouseDownDialog,
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
          className: (0, _bootstrapUtils.prefix)(bsProps, 'content'),
          role: "document",
          children: children
        })
      })
    });
  }
}
ModalDialog.propTypes = propTypes;
var _default = exports.default = (0, _bootstrapUtils.bsClass)('modal', (0, _bootstrapUtils.bsSizes)([_StyleConfig.Size.LARGE, _StyleConfig.Size.SMALL], ModalDialog));
//# sourceMappingURL=ModalDialog.js.map