"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _Overlay = _interopRequireDefault(require("react-overlays/lib/Overlay"));
var _elementType = _interopRequireDefault(require("prop-types-extra/lib/elementType"));
var _Fade = _interopRequireDefault(require("./Fade"));
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const propTypes = {
  ..._Overlay.default.propTypes,
  /**
   * Set the visibility of the Overlay
   */
  show: _propTypes.default.bool,
  /**
   * Specify whether the overlay should trigger onHide when the user clicks outside the overlay
   */
  rootClose: _propTypes.default.bool,
  /**
   * A callback invoked by the overlay when it wishes to be hidden. Required if
   * `rootClose` is specified.
   */
  onHide: _propTypes.default.func,
  /**
   * Use animation
   */
  animation: _propTypes.default.oneOfType([_propTypes.default.bool, _elementType.default]),
  /**
   * Callback fired before the Overlay transitions in
   */
  onEnter: _propTypes.default.func,
  /**
   * Callback fired as the Overlay begins to transition in
   */
  onEntering: _propTypes.default.func,
  /**
   * Callback fired after the Overlay finishes transitioning in
   */
  onEntered: _propTypes.default.func,
  /**
   * Callback fired right before the Overlay transitions out
   */
  onExit: _propTypes.default.func,
  /**
   * Callback fired as the Overlay begins to transition out
   */
  onExiting: _propTypes.default.func,
  /**
   * Callback fired after the Overlay finishes transitioning out
   */
  onExited: _propTypes.default.func,
  /**
   * Sets the direction of the Overlay.
   */
  placement: _propTypes.default.oneOf(['top', 'right', 'bottom', 'left'])
};
const defaultProps = {
  animation: _Fade.default,
  rootClose: false,
  show: false,
  placement: 'right'
};
class Overlay extends _react.default.Component {
  render() {
    const {
      animation,
      children,
      ...props
    } = this.props;
    const transition = animation === true ? _Fade.default : animation || null;
    let child;
    if (!transition) {
      child = /*#__PURE__*/(0, _react.cloneElement)(children, {
        className: (0, _classnames.default)(children.props.className, 'in')
      });
    } else {
      child = children;
    }
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Overlay.default, {
      ...props,
      transition: transition,
      children: child
    });
  }
}
Overlay.propTypes = propTypes;
Overlay.defaultProps = defaultProps;
var _default = exports.default = Overlay;
//# sourceMappingURL=Overlay.js.map