"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _SafeAnchor = _interopRequireDefault(require("./SafeAnchor"));
var _createChainedFunction = _interopRequireDefault(require("./utils/createChainedFunction"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const propTypes = {
  disabled: _propTypes.default.bool,
  previous: _propTypes.default.bool,
  next: _propTypes.default.bool,
  onClick: _propTypes.default.func,
  onSelect: _propTypes.default.func,
  eventKey: _propTypes.default.any
};
const defaultProps = {
  disabled: false,
  previous: false,
  next: false
};
class PagerItem extends _react.default.Component {
  constructor(props, context) {
    super(props, context);
    this.handleSelect = this.handleSelect.bind(this);
  }
  handleSelect(e) {
    const {
      disabled,
      onSelect,
      eventKey
    } = this.props;
    if (disabled) {
      e.preventDefault();
      return;
    }
    if (onSelect) {
      onSelect(eventKey, e);
    }
  }
  render() {
    const {
      disabled,
      previous,
      next,
      onClick,
      className,
      style,
      ...props
    } = this.props;
    delete props.onSelect;
    delete props.eventKey;
    return /*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
      className: (0, _classnames.default)(className, {
        disabled,
        previous,
        next
      }),
      style: style,
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_SafeAnchor.default, {
        ...props,
        disabled: disabled,
        onClick: (0, _createChainedFunction.default)(onClick, this.handleSelect)
      })
    });
  }
}
PagerItem.propTypes = propTypes;
PagerItem.defaultProps = defaultProps;
var _default = exports.default = PagerItem;
//# sourceMappingURL=PagerItem.js.map