"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _warning = _interopRequireDefault(require("warning"));
var _bootstrapUtils = require("./utils/bootstrapUtils");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
// TODO: This should probably take a single `aspectRatio` prop.
const propTypes = {
  /**
   * This component requires a single child element
   */
  children: _propTypes.default.element.isRequired,
  /**
   * 16by9 aspect ratio
   */
  a16by9: _propTypes.default.bool,
  /**
   * 4by3 aspect ratio
   */
  a4by3: _propTypes.default.bool
};
const defaultProps = {
  a16by9: false,
  a4by3: false
};
class ResponsiveEmbed extends _react.default.Component {
  render() {
    const {
      a16by9,
      a4by3,
      className,
      children,
      ...props
    } = this.props;
    const [bsProps, elementProps] = (0, _bootstrapUtils.splitBsProps)(props);
    (0, _warning.default)(a16by9 || a4by3, 'Either `a16by9` or `a4by3` must be set.');
    (0, _warning.default)(!(a16by9 && a4by3), 'Only one of `a16by9` or `a4by3` can be set.');
    const classes = {
      ...(0, _bootstrapUtils.getClassSet)(bsProps),
      [(0, _bootstrapUtils.prefix)(bsProps, '16by9')]: a16by9,
      [(0, _bootstrapUtils.prefix)(bsProps, '4by3')]: a4by3
    };
    return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
      className: (0, _classnames.default)(classes),
      children: /*#__PURE__*/(0, _react.cloneElement)(children, {
        ...elementProps,
        className: (0, _classnames.default)(className, (0, _bootstrapUtils.prefix)(bsProps, 'item'))
      })
    });
  }
}
ResponsiveEmbed.propTypes = propTypes;
ResponsiveEmbed.defaultProps = defaultProps;
var _default = exports.default = (0, _bootstrapUtils.bsClass)('embed-responsive', ResponsiveEmbed);
//# sourceMappingURL=ResponsiveEmbed.js.map