"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _bootstrapUtils = require("./utils/bootstrapUtils");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const propTypes = {
  striped: _propTypes.default.bool,
  bordered: _propTypes.default.bool,
  condensed: _propTypes.default.bool,
  hover: _propTypes.default.bool,
  responsive: _propTypes.default.bool
};
const defaultProps = {
  bordered: false,
  condensed: false,
  hover: false,
  responsive: false,
  striped: false
};
class Table extends _react.default.Component {
  render() {
    const {
      striped,
      bordered,
      condensed,
      hover,
      responsive,
      className,
      ...props
    } = this.props;
    const [bsProps, elementProps] = (0, _bootstrapUtils.splitBsProps)(props);
    const classes = {
      ...(0, _bootstrapUtils.getClassSet)(bsProps),
      [(0, _bootstrapUtils.prefix)(bsProps, 'striped')]: striped,
      [(0, _bootstrapUtils.prefix)(bsProps, 'bordered')]: bordered,
      [(0, _bootstrapUtils.prefix)(bsProps, 'condensed')]: condensed,
      [(0, _bootstrapUtils.prefix)(bsProps, 'hover')]: hover
    };
    const table = /*#__PURE__*/(0, _jsxRuntime.jsx)("table", {
      ...elementProps,
      className: (0, _classnames.default)(className, classes)
    });
    if (responsive) {
      return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        className: (0, _bootstrapUtils.prefix)(bsProps, 'responsive'),
        children: table
      });
    }
    return table;
  }
}
Table.propTypes = propTypes;
Table.defaultProps = defaultProps;
var _default = exports.default = (0, _bootstrapUtils.bsClass)('table', Table);
//# sourceMappingURL=Table.js.map